SerializationRegistrationType.Instantiator (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: SerializationRegistrationType, class: Instantiator

Package org.apache.geode.cache.configuration

# Class SerializationRegistrationType.Instantiator

java.lang.Object
org.apache.geode.cache.configuration.SerializationRegistrationType.Instantiator

Enclosing class:
  SerializationRegistrationType

public static class SerializationRegistrationType.Instantiator extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
           </sequence>
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `className`
  `protected String`
  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Instantiator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Gets the value of the className property.
  `String`
  `getId()`
  Gets the value of the id property.
  `void`
  `setClassName(String value)`
  Sets the value of the className property.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### className

    protected String className

  - ### id

    protected String id

- ## Constructor Details

  - ### Instantiator

    public Instantiator()

- ## Method Details

  - ### getClassName

    public String getClassName()
    Gets the value of the className property. possible object is `String`
    Returns:
      the value of the className property

  - ### setClassName

    public void setClassName(String value)
    Sets the value of the className property. allowed object is `String`
    Parameters:
      `value` - the value of the className property

  - ### getId

    public String getId()
    Gets the value of the id property. possible object is `String`
    Returns:
      the value of the id property

  - ### setId

    public void setId(String value)
    Sets the value of the id property. allowed object is `String`
    Parameters:
      `value` - the value of the id property